import 'package:flutter/material.dart';
import 'package:npay_component/button_widget/np_button.dart';
import 'package:npay_component/components/dialog/bottom_sheet.dart';
import 'package:npay_component/styles/font_scale.dart';

void main() {
  RatioScreenApp.setRatio(1.0);
  runApp(MyApp());
}

class MyApp extends StatelessWidget {
  @override
  Widget build(BuildContext context) {
    return MaterialApp(
      title: 'NPComponent Demo',
      theme: ThemeData(
        primarySwatch: Colors.blue,
      ),
      home: MyHomePage(title: 'NPComponent'),
    );
  }
}

class MyHomePage extends StatefulWidget {
  MyHomePage({Key key, this.title}) : super(key: key);
  final String title;

  @override
  _MyHomePageState createState() => _MyHomePageState();
}

class _MyHomePageState extends State<MyHomePage> {
  final ctr1 = TextEditingController();
  final ctr2 = TextEditingController();
  final ctr3 = TextEditingController();
  final _scaffoldKey = GlobalKey<ScaffoldState>();
  String errorT = '';
  String errorT2 = '';

  @override
  Widget build(BuildContext context) {
    return Scaffold(
      backgroundColor: Colors.yellowAccent,
      appBar: AppBar(
        title: Text(widget.title),
        automaticallyImplyLeading: false,
      ),
      key: _scaffoldKey,
      body: Column(
        children: [
          NPButton.primary(
              isActive: true,
              title: 'NPButtonPrimary',
              onPressed: () => showNpBottomSheet(
                    context,
                    child: Container(
                      height: 100,
                      child: Center(
                        child: Text('Color'),
                      ),
                    ),
                  )),
        ],
      ),
    );
  }
}
